diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
index 71e925e0..a020e8b6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
@@ -614,25 +635,27 @@ function ldap_servers_cache_clear() {
 }
 
 /**
- * function to convert microsoft style guids to strings
+ * Function to convert microsoft style guids to strings.
  */
 function ldap_servers_msguid($value) {
 
   $hex_string = bin2hex($value);
   // (MS?) GUID are displayed with first three GUID parts as "big endian"
   // Doing this so String value matches what other LDAP tool displays for AD.
-  $value = strtoupper(substr( $hex_string, 6, 2) . substr( $hex_string, 4, 2) .
-  substr( $hex_string, 2, 2) . substr( $hex_string, 0, 2) . '-' .
-  substr( $hex_string, 10, 2) . substr( $hex_string, 8, 2) . '-' .
-  substr( $hex_string, 14, 2) . substr( $hex_string, 12, 2) . '-' .
-  substr( $hex_string, 16, 4) . '-' . substr( $hex_string, 20, 12));
+  $value = strtoupper(substr($hex_string, 6, 2) . substr($hex_string, 4, 2) .
+  substr($hex_string, 2, 2) . substr($hex_string, 0, 2) . '-' .
+  substr($hex_string, 10, 2) . substr($hex_string, 8, 2) . '-' .
+  substr($hex_string, 14, 2) . substr($hex_string, 12, 2) . '-' .
+  substr($hex_string, 16, 4) . '-' . substr($hex_string, 20, 12));
 
   return $value;
 }
 
- /**
- * Create a "binary safe" string for use in LDAP filters
+/**
+ * Create a "binary safe" string for use in LDAP filters.
+ *
  * @param $value
+ *
  * @return string
  */
 function ldap_servers_binary_filter($value) {
@@ -647,7 +670,7 @@ function ldap_servers_binary_filter($value) {
       substr($hex_string, 16, 4) . substr($hex_string, 20, 12);
   }
 
-  for ($i = 0; $i < strlen($value); $i = $i + 2 ) {
+  for ($i = 0; $i < strlen($value); $i = $i + 2) {
     $match .= '\\' . substr($value, $i, 2);
   }
 
@@ -655,9 +678,9 @@ function ldap_servers_binary_filter($value) {
 }
 
 /**
- * general binary conversion function for guids
+ * General binary conversion function for guids
  * tries to determine which approach based on length
- * of string
+ * of string.
  */
 function ldap_servers_binary($value) {
   if (strlen($value) == 16) {
@@ -670,14 +693,17 @@ function ldap_servers_binary($value) {
 }
 
 /**
- * @todo needs caching element.  several modules could potentially call this in the same
- * page request.
+ * @todo needs caching element.  several modules could potentially call this in
+ *   the same page request.
  *
- * @param std object $drupal_user is drupal $user object
- * @param string $sid is a server id
- * @param scalar $ldap_context
+ * @param object $drupal_user
+ *   is drupal $user object.
+ * @param string $sid
+ *   is a server id.
+ * @param mixed $ldap_context
+ *
+ * @return bool
  */
-
 function ldap_servers_get_user_ldap_data($drupal_user, $sid = NULL, $ldap_context = NULL) {
   if (is_object($drupal_user) && property_exists($drupal_user, 'uid') &&
       function_exists('ldap_user_get_authname') && ($authname = ldap_user_get_authname($drupal_user))) {
@@ -686,16 +712,16 @@ function ldap_servers_get_user_ldap_data($drupal_user, $sid = NULL, $ldap_contex
   else {
     $drupal_username = (is_object($drupal_user)) ? $drupal_user->name : $drupal_user;
   }
-  //Sometimes we have username instead of a drupal user object
-  //For example, when using LDAP user test form (admin/config/people/ldap/user/test)
-  //But we can still load the user by using $drupal_username  if $drupal_user is not an object
-  if ( !(is_object($drupal_user)) ) {
+  // Sometimes we have username instead of a drupal user object
+  // For example, when using LDAP user test form (admin/config/people/ldap/user/test)
+  // But we can still load the user by using $drupal_username  if $drupal_user is not an object.
+  if (!(is_object($drupal_user))) {
     $user_object = user_load_by_name($drupal_username);
     if (is_object($user_object) && property_exists($user_object, 'uid')) {
       $drupal_user = $user_object;
     }
   }
-  // if no explicit $sid, find most appropriate one
+  // If no explicit $sid, find most appropriate one.
   if (module_exists('ldap_user') && (!$sid || $sid == LDAP_USER_AUTH_SERVER_SID)) {
     if (property_exists($drupal_user, 'ldap_user_puid_sid') &&
         !empty($drupal_user->ldap_user_puid_sid[LANGUAGE_NONE][0]['value'])
@@ -719,7 +745,7 @@ function ldap_servers_get_user_ldap_data($drupal_user, $sid = NULL, $ldap_contex
   $ldap_server = ($sid) ? ldap_servers_get_servers($sid, 'enabled', TRUE) : FALSE;
 
   if ($ldap_server === FALSE) {
-    watchdog('ldap_servers', 'Failed to load server object %sid in _ldap_servers_get_user_ldap_data', array('%sid' => $sid), WATCHDOG_ERROR);
+    watchdog('ldap_servers', 'Failed to load server object %sid in _ldap_servers_get_user_ldap_data', ['%sid' => $sid], WATCHDOG_ERROR);
     return FALSE;
   }
 
@@ -736,9 +762,11 @@ function ldap_servers_get_user_ldap_data($drupal_user, $sid = NULL, $ldap_contex
 }
 
 /**
- * @param array $attribute_map for a given attribute in form array('values' => array(), 'data_type' => NULL) as outlined in ldap_user/README.developers.txt
- * @param enum string $conversion as type of conversion to do @see ldap_servers_convert_attribute().  e.g. base64_encode, bin2hex, msguid, md5
- * @param array $values in form array(<ordinal> => <value> | NULL) where NULL indicates value is needed for provisioning or other operations.
+ * @param array|null $attribute
+ * @param string $conversion
+ *   as type of conversion to do @see ldap_servers_convert_attribute().  e.g. base64_encode, bin2hex, msguid, md5.
+ * @param array $values
+ *   in form array(<ordinal> => <value> | NULL) where NULL indicates value is needed for provisioning or other operations.
  *
  * @return array $attribute_map with converted values.  If nothing passed in create empty array in proper structure.
  *   array('values' => array(
@@ -746,92 +774,114 @@ function ldap_servers_get_user_ldap_data($drupal_user, $sid = NULL, $ldap_contex
  *      1 => 'johnny'
  *      )
  *   );
- ))
+ *   ))
  */
-
 function ldap_servers_set_attribute_map($attribute = NULL, $conversion = NULL, $values = NULL) {
 
-  $attribute = (is_array($attribute)) ? $attribute : array();
+  $attribute = (is_array($attribute)) ? $attribute : [];
   $attribute['conversion'] = $conversion;
   if (!$values && (!isset($attribute['values']) || !is_array($attribute['values']))) {
-    $attribute['values'] = array(0 => NULL);
+    $attribute['values'] = [0 => NULL];
   }
-  elseif (is_array($values)) { //merge into array overwriting ordinals
+  // Merge into array overwriting ordinals.
+  elseif (is_array($values)) {
     foreach ($values as $ordinal => $value) {
       if ($conversion) {
         $value = ldap_servers_convert_attribute($value, $conversion);
       }
-      $attribute['values'][(int)$ordinal] = $value;
+      $attribute['values'][(int) $ordinal] = $value;
     }
   }
   return $attribute;
 }
 
 /**
- * @param string $value as value to be converted
- * @param string $conversion such as base64_encode, bin2hex, msguid, md5
+ * @param string $value
+ *   as value to be converted.
+ * @param string $conversion
+ *   such as base64_encode, bin2hex, msguid, md5.
  * @return converted $value
  */
 function ldap_servers_convert_attribute($value, $conversion = NULL) {
 
-      if ($conversion) {
+  if ($conversion) {
 
-        switch ($conversion) {
-          case 'base64_encode':
-            $value = base64_encode($value);
-            break;
+    switch ($conversion) {
+      case 'base64_encode':
+        $value = base64_encode($value);
+        break;
 
-          case 'bin2hex':
-            $value = bin2hex($value);
-            break;
+      case 'bin2hex':
+        $value = bin2hex($value);
+        break;
 
-          case 'msguid':
-            $value = ldap_servers_msguid($value);
-            break;
+      case 'msguid':
+        $value = ldap_servers_msguid($value);
+        break;
 
-          case 'binary':
-            $value = ldap_servers_binary($value);
-            break;
+      case 'binary':
+        $value = ldap_servers_binary($value);
+        break;
 
-          case 'md5':
-            $value = '{md5}' . base64_encode(pack('H*', md5($value)));
-            break;
-        }
+      case 'md5':
+        $value = '{md5}' . base64_encode(pack('H*', md5($value)));
+        break;
+    }
 
-      }
+  }
 
   return $value;
 }
 
+/**
+ *
+ */
 function ldap_servers_ldap_extension_summary($op = 'data') {
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.status');
   return _ldap_servers_ldap_extension_summary($op);
 }
 
+/**
+ *
+ */
 function ldap_servers_ldap_extension_loaded() {
   return extension_loaded('ldap');
 }
 
+/**
+ *
+ */
 function ldap_servers_encrypt($text, $encryption = NULL) {
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.encryption');
   return _ldap_servers_encrypt($text, $encryption);
 }
 
-function ldap_servers_encrypt_types($category = 'all') {
+/**
+ *
+ */
+function ldap_servers_encrypt_types() {
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.encryption');
-  return _ldap_servers_encrypt_types($category);
+  return _ldap_servers_encrypt_types();
 }
 
+/**
+ *
+ */
 function ldap_servers_decrypt($encrypted, $encryption = NULL) {
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.encryption');
   return _ldap_servers_decrypt($encrypted, $encryption);
 }
 
+/**
+ *
+ */
 function ldap_servers_php_supports_pagination() {
-  return (boolean)(function_exists('ldap_control_paged_result_response') && function_exists('ldap_control_paged_result'));
+  return (boolean) (function_exists('ldap_control_paged_result_response') && function_exists('ldap_control_paged_result'));
 }
 
-
+/**
+ *
+ */
 function ldap_servers_help($path, $arg) {
 
   $servers_help = '<p>' . t('LDAP Servers store "LDAP server configurations" so other modules can connect to them and leverage their data.') . ' ';
@@ -842,7 +892,7 @@ function ldap_servers_help($path, $arg) {
     case 'admin/config/people/ldap/servers':
       return $servers_help;
 
-   case 'admin/help#ldap_servers':
+    case 'admin/help#ldap_servers':
       $servers_help .= '<h3>' . t('Configuration - Settings') . '</h3>';
       $servers_help .= '<dl>';
       $servers_help .= '<dt>' . t('ENCRYPTION') . '</dt>';
@@ -897,7 +947,6 @@ function ldap_servers_help($path, $arg) {
   }
 }
 
-
 /**
  * @return list of ldap configuration classes and names
  */
@@ -905,35 +954,35 @@ function ldap_servers_ldap_servers_types() {
 
   $path = drupal_get_path('module', 'ldap_servers') . '/ldap_types';
 
-  $types['default'] = array(
+  $types['default'] = [
     'class' => t('LdapTypeDefault'),
     'directory_path' => $path,
     'name' => 'Default LDAP',
-  );
+  ];
 
-  $types['ad'] = array(
+  $types['ad'] = [
     'class' => t('LdapTypeActiveDirectory'),
     'directory_path' => $path,
     'name' => 'Active Directory',
-  );
+  ];
 
-  $types['novell_edir'] = array(
+  $types['novell_edir'] = [
     'class' => t('LdapTypeNovell'),
     'directory_path' => $path,
     'name' => 'Novell',
-  );
+  ];
 
-  $types['openldap'] = array(
+  $types['openldap'] = [
     'class' => t('LdapTypeOpenLdap'),
     'directory_path' => $path,
     'name' => 'Open LDAP',
-  );
+  ];
 
-  $types['opendir'] = array(
+  $types['opendir'] = [
     'class' => t('LdapTypeOpenDirectory'),
     'directory_path' => $path,
     'name' => 'Apple Open Directory',
-  );
+  ];
 
   drupal_alter('ldap_servers_ldap_types', $types);
   return $types;
@@ -941,8 +990,11 @@ function ldap_servers_ldap_servers_types() {
 }
 
 /**
- * @param string or array ldap type id or conf array
- * @return options for ldap type pulldown
+ * @param string $ldap_conf
+ *   or array ldap type id or conf array.
+ *
+ * @return mixed
+ *   options for ldap type pulldown
  */
 function ldap_servers_get_ldap_type_object($ldap_conf) {
 
@@ -951,23 +1003,25 @@ function ldap_servers_get_ldap_type_object($ldap_conf) {
     $ldap_conf = $ldap_confs[$ldap_conf];
   }
 
-  require_once($ldap_conf['directory_path'] . '/' . $ldap_conf['class'] . 'class.php');
+  require_once $ldap_conf['directory_path'] . '/' . $ldap_conf['class'] . 'class.php';
   $ldap_type_class = new $ldap_conf['class']();
   return $ldap_type_class;
 
 }
 
 /**
- * given a dn (such as cn=jdoe,ou=people)
+ * Given a dn (such as cn=jdoe,ou=people)
  * and an rdn (such as cn)
  * determine that rdn value (such as jdoe)
  *
  * @param string $dn
  * @param string $rdn
+ *
  * @return string value of rdn
  */
 function ldap_servers_get_first_rdn_value_from_dn($dn, $rdn) {
-  $pairs = ldap_explode_dn($dn, 0); // escapes attribute values, need to be unescaped later
+  // Escapes attribute values, need to be unescaped later.
+  $pairs = ldap_explode_dn($dn, 0);
   $count = array_shift($pairs);
   $rdn = drupal_strtolower($rdn);
   $rdn_value = FALSE;
@@ -982,19 +1036,21 @@ function ldap_servers_get_first_rdn_value_from_dn($dn, $rdn) {
 }
 
 /**
- * given a dn (such as cn=jdoe,ou=people)
+ * Given a dn (such as cn=jdoe,ou=people)
  * and an rdn (such as cn)
  * determine that rdn value (such as jdoe)
  *
  * @param string $dn
  * @param string $rdn
+ *
  * @return array of all values of rdn
  */
 function ldap_servers_get_all_rdn_values_from_dn($dn, $rdn) {
-  $pairs = ldap_explode_dn($dn, 0); // escapes attribute values, need to be unescaped later
+  // Escapes attribute values, need to be unescaped later.
+  $pairs = ldap_explode_dn($dn, 0);
   $count = array_shift($pairs);
   $rdn = drupal_strtolower($rdn);
-  $rdn_values = array();
+  $rdn_values = [];
   foreach ($pairs as $p) {
     $pair = explode('=', $p);
     if (drupal_strtolower(trim($pair[0])) == $rdn) {
@@ -1004,13 +1060,13 @@ function ldap_servers_get_all_rdn_values_from_dn($dn, $rdn) {
   return $rdn_values;
 }
 
-
 /**
- * @return options for ldap type pulldown
+ * @return array
+ *   options for ldap type pulldown
  */
 function ldap_servers_ldaps_option_array() {
 
-  $options = array();
+  $options = [];
   foreach (ldap_servers_ldap_servers_types() as $ldap_id => $conf) {
     $options[$ldap_id] = $conf['name'];
   }
@@ -1019,24 +1075,28 @@ function ldap_servers_ldaps_option_array() {
 }
 
 /**
- * @param string $ldap_type indicating ldap type 'default','ad','novell_edir', 'openldap'
- * @param boolean $reset clear static array
- * @param boolean $flatted indicating if only one ldap type returned, skip top level array key
+ * @param string $ldap_type
+ *   indicating ldap type 'default','ad','novell_edir', 'openldap'.
+ * @param bool $reset
+ *   clear static array.
+ * @param bool $flatten
+ *   indicating if only one ldap type returned, skip top level array key.
  *
- * @return one or more ldap type objects
+ * @return mixed
+ *   one or more ldap type objects
  */
 function ldap_servers_get_types($ldap_type = NULL, $reset = FALSE, $flatten = FALSE) {
   static $ldap_types;
   if ($reset || !is_array($ldap_types)) {
     $ldap_types = module_invoke_all('ldap_servers_type');
     if ($ldap_type) {
-      require_once($ldap_types[$ldap_type]['directory_path'] . '/' . $ldap_types[$ldap_type]['class'] . '.class.php');
-      $ldap_types[$ldap_type] = new $ldap_types[$ldap_type]['class'] . '.class.php';
+      require_once $ldap_types[$ldap_type]['directory_path'] . '/' . $ldap_types[$ldap_type]['class'] . '.class.php';
+      $ldap_types[$ldap_type] = new $ldap_types[$ldap_type]['class']() . '.class.php';
     }
     else {
       foreach ($ldap_types as $ldap_type_id => $ldap_class_info) {
-        require_once($ldap_class_info['directory_path'] . '/' . $ldap_class_info['class'] . '.class.php');
-        $ldap_types[$ldap_type_id] = new $ldap_class_info['class'];
+        require_once $ldap_class_info['directory_path'] . '/' . $ldap_class_info['class'] . '.class.php';
+        $ldap_types[$ldap_type_id] = new $ldap_class_info['class']();
       }
     }
   }
@@ -1048,7 +1108,9 @@ function ldap_servers_get_types($ldap_type = NULL, $reset = FALSE, $flatten = FA
   }
 }
 
-
+/**
+ *
+ */
 function ldap_servers_no_enabled_servers_msg($action) {
 
   $servers = ldap_servers_get_servers(NULL, 'enabled');
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.settings.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.settings.inc
index 3e76ebdd..0aa53c21 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.settings.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.settings.inc
@@ -2,59 +2,58 @@
 
 /**
  * @file
- * admin interface for general ldap api settings
- *
+ * Admin interface for general ldap api settings.
  */
 
+/**
+ *
+ */
 function ldap_servers_settings() {
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.functions');
 
-  if (! ldap_servers_ldap_extension_loaded()) {
+  if (!ldap_servers_ldap_extension_loaded()) {
     drupal_set_message(t('PHP LDAP Extension is not loaded.'), "warning");
   }
 
   $form['#title'] = "Configure LDAP Preferences";
 
+  $options = ldap_servers_encrypt_types();
 
-  $options = ldap_servers_encrypt_types('encrypt');
-
-   /**  when this is changed, need to decrypt and possibly encrypt pwd in newly selected format
+  /**  when this is changed, need to decrypt and possibly encrypt pwd in newly selected format
     *   ... thus default needs to be "No Encryption" to avoid confusion.
     */
 
-  $form['previous_encryption'] = array('#type' => 'hidden', '#default_value' => variable_get('ldap_servers_encryption', LDAP_SERVERS_ENC_TYPE_CLEARTEXT));
-  $form['encryption'] = array('#type' => 'fieldset', '#title' => t('Encryption'));
-  $form['encryption']['ldap_servers_encryption'] = array(
+  $form['previous_encryption'] = ['#type' => 'hidden', '#default_value' => variable_get('ldap_servers_encryption', LDAP_SERVERS_ENC_TYPE_CLEARTEXT)];
+  $form['encryption'] = ['#type' => 'fieldset', '#title' => t('Encryption')];
+  $form['encryption']['ldap_servers_encryption'] = [
     '#type' => 'select',
     '#options' => $options,
-    '#title' => t('Encrypt Stored LDAP Passwords?'),
+    '#title' => t('Obfuscate LDAP Passwords?'),
     '#default_value' => variable_get('ldap_servers_encryption', LDAP_SERVERS_ENC_TYPE_CLEARTEXT),
-    '#description' => t('With encryption, passwords will be stored in encrypted form.
-    This is two way encryption because the actual password needs to used to bind to LDAP.
-    So it offers minimal defense if someone gets in the filespace.  It mainly helps avoid the accidental
-    discovery of a clear text password.'),
-    );
+    '#description' => t('With obfuscation enabled, passwords will be stored in encrypted form and decrypted with the site hash.'),
+  ];
 
-
-    // $options will be empty if server does not support mcrypt.
   // Disable the form field and explain this to the user.
-  if (empty($options)) {
-    $form['encryption']['ldap_servers_encryption']['#options'] = array(LDAP_SERVERS_ENC_TYPE_CLEARTEXT => t('Not available.'));
+  if (count($options) == 1) {
     $form['encryption']['ldap_servers_encryption']['#disabled'] = TRUE;
-    $form['encryption']['ldap_servers_encryption']['#description'] .= ' <strong>' . t('Encryption is not supported on this web server.') . '</strong>';
+    $form['encryption']['ldap_servers_encryption']['#description'] = ' <strong>' . t('Obfuscation is not supported on this web server.') . '</strong>';
   }
 
   $form = system_settings_form($form);
-  array_unshift($form['#submit'], 'ldap_servers_settings_submit');  // needs to be first
+  // Needs to be first.
+  array_unshift($form['#submit'], 'ldap_servers_settings_submit');
   return $form;
 }
 
+/**
+ *
+ */
 function ldap_servers_settings_submit($form, &$form_state) {
   if ($form_state['submitted']) {
     $new_encyption = $form_state['values']['ldap_servers_encryption'];
     $old_encyption = $form_state['values']['previous_encryption'];
 
-    // use db instead of functions to avoid classes encryption and decryption
+    // Use db instead of functions to avoid classes encryption and decryption.
     if ($new_encyption != $old_encyption) {
       $servers = db_query("SELECT sid, bindpw FROM {ldap_servers} WHERE bindpw is not NULL AND bindpw <> ''")->fetchAllAssoc('sid');
       foreach ($servers as $sid => $server) {
@@ -65,7 +64,7 @@ function ldap_servers_settings_submit($form, &$form_state) {
         else {
           $rencrypted = '';
         }
-        db_query("UPDATE {ldap_servers} SET bindpw = :bindpw WHERE sid = :sid", array(':bindpw' => $rencrypted, ':sid' => $sid));
+        db_query("UPDATE {ldap_servers} SET bindpw = :bindpw WHERE sid = :sid", [':bindpw' => $rencrypted, ':sid' => $sid]);
       }
     }
   }
